## GUPnPDLNAInformation

GUPnPDLNAInformation — Base class for storing various types of metadata informations.

## Functions

GUPnPDLNAAudioInformation * | gupnp_dlna_information_get_audio_information ()
GUPnPDLNAContainerInformation * | gupnp_dlna_information_get_container_information ()
GUPnPDLNAImageInformation * | gupnp_dlna_information_get_image_information ()
GUPnPDLNAVideoInformation * | gupnp_dlna_information_get_video_information ()
const gchar * | gupnp_dlna_information_get_profile_name ()
const gchar * | gupnp_dlna_information_get_uri ()

## Properties

GUPnPDLNAAudioInformation * | audio-information | Read
GUPnPDLNAContainerInformation * | container-information | Read
GUPnPDLNAImageInformation * | image-information | Read
char * | uri | Read / Write / Construct Only
GUPnPDLNAVideoInformation * | video-information | Read

## Types and Values

struct | GUPnPDLNAInformationClass

## Object Hierarchy

        GObject
        ╰── GUPnPDLNAInformation

## Description

Subclasses of GUPnPDLNAInformation should override all virtual functions provided by this class. The overrides should return a subclasses of specific information base classes.

When instantiating a subclass of GUPnPDLNAInformation make sure that "uri" with a URI to media file is passed to `g_object_new()`.

## Functions

### gupnp_dlna_information_get_audio_information ()

    GUPnPDLNAAudioInformation *
    gupnp_dlna_information_get_audio_information
                                   (GUPnPDLNAInformation *info);

Get an audio information of media file if applicable (e.g. for video and audio files).

#### Parameters

info | A GUPnPDLNAInformation object. |

#### Returns

A GUPnPDLNAAudioInformation object or `NULL`.

[transfer none]

### gupnp_dlna_information_get_container_information ()

    GUPnPDLNAContainerInformation *
    gupnp_dlna_information_get_container_information
                                   (GUPnPDLNAInformation *info);

Get an container information of media file if applicable (e.g. for video and audio files).

#### Parameters

info | A GUPnPDLNAInformation object. |

#### Returns

A GUPnPDLNAContainerInformation object or `NULL`.

[transfer none]

### gupnp_dlna_information_get_image_information ()

    GUPnPDLNAImageInformation *
    gupnp_dlna_information_get_image_information
                                   (GUPnPDLNAInformation *info);

Get an container information of media file if applicable (e.g. for image files).

#### Parameters

info | A GUPnPDLNAInformation object. |

#### Returns

A GUPnPDLNAImageInformation object or `NULL`.

[transfer none]

### gupnp_dlna_information_get_video_information ()

    GUPnPDLNAVideoInformation *
    gupnp_dlna_information_get_video_information
                                   (GUPnPDLNAInformation *info);

Get an container information of media file if applicable (e.g. for video files).

#### Parameters

info | A GUPnPDLNAInformation object. |

#### Returns

A GUPnPDLNAVideoInformation object or `NULL`.

[transfer none]

### gupnp_dlna_information_get_profile_name ()

    const gchar *
    gupnp_dlna_information_get_profile_name
                                   (GUPnPDLNAInformation *info);

#### Parameters

info | A GUPnPDLNAInformation object. |

#### Returns

The name of a DLNA profile or `NULL`.

[transfer none]

### gupnp_dlna_information_get_uri ()

    const gchar *
    gupnp_dlna_information_get_uri (GUPnPDLNAInformation *info);

#### Parameters

info | A GUPnPDLNAInformation object. |

#### Returns

An URI of a file.

[transfer none]

## Types and Values

### struct GUPnPDLNAInformationClass

    struct GUPnPDLNAInformationClass {
            GObjectClass parent_class;

            GUPnPDLNAAudioInformation *
            (* get_audio_information) (GUPnPDLNAInformation *info);

            GUPnPDLNAContainerInformation *
            (* get_container_information) (GUPnPDLNAInformation *info);

            GUPnPDLNAImageInformation *
            (* get_image_information) (GUPnPDLNAInformation *info);

            GUPnPDLNAVideoInformation *
            (* get_video_information) (GUPnPDLNAInformation *info);

            const gchar *
            (* get_profile_name) (GUPnPDLNAInformation *info);

            gpointer _reserved[11];
    };

#### Members

`get_audio_information` () | This is called by GUPnPDLNAProfileGuesser to get an audio information. |
`get_container_information` () | This is called by GUPnPDLNAProfileGuesser to get a container information. |
`get_image_information` () | This is called by GUPnPDLNAProfileGuesser to get an image information. |
`get_video_information` () | This is called by GUPnPDLNAProfileGuesser to get a video information. |
`get_profile_name` () | This is called by GUPnPDLNAProfileGuesser to get the name of the DLNA profile assigned with this information. |
gpointer `_reserved`[11]; | Padding. Ignore it. |

## Property Details

### The `“audio-information”` property

      “audio-information”        GUPnPDLNAAudioInformation *

Audio information of a file.

Owner: GUPnPDLNAInformation

Flags: Read

### The `“container-information”` property

      “container-information”    GUPnPDLNAContainerInformation *

Container information of a file.

Owner: GUPnPDLNAInformation

Flags: Read

### The `“image-information”` property

      “image-information”        GUPnPDLNAImageInformation *

Image information of a file.

Owner: GUPnPDLNAInformation

Flags: Read

### The `“uri”` property

      “uri”                      char *

URI of file which metadata this object stores.

Owner: GUPnPDLNAInformation

Flags: Read / Write / Construct Only

Default value: NULL

### The `“video-information”` property

      “video-information”        GUPnPDLNAVideoInformation *

Video information of a file.

Owner: GUPnPDLNAInformation

Flags: Read